Package org.openoffice.da.comp.w2lcommon.helper

# Class FolderPicker

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.FolderPicker

public class FolderPicker extends Object

## Constructor Summary

Constructors
Constructor
Description
`FolderPicker(com.sun.star.uno.XComponentContext xContext)`
Convenience wrapper class for the UNO folder picker service

## Method Summary

Modifier and Type
Method
Description
`String`
`getPath()`
Get a user selected path with a folder picker

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FolderPicker

public FolderPicker(com.sun.star.uno.XComponentContext xContext)
Convenience wrapper class for the UNO folder picker service

Parameters:
  `xContext` - the UNO component context from which the folder picker can be created

## Method Details

### getPath

public String getPath()
Get a user selected path with a folder picker

Returns:
  the path or null if the dialog is canceled